# Interface StructureURL

Structure provided via web-link or via uploading the file content together with the query

#### Hierarchy

- StructureURL

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:104

#####
Index

### Properties

format
is_binary
name?
selection?
url

## Properties

### format

format: StructureFileFormat

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:109

### is_binary

is_binary: boolean

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:110

### `Optional` name

name?: string

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:111

### `Optional` selection

selection?: StructureInstanceSelection | StructureMotifSelection

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:112

### url

url: string

File will be fetched from the specified location

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:108

Generated using TypeDoc